package com.bytedance.webx.pia.page.bridge;

import X.2Pr;
import X.C0847KJq;
import X.C1835Kj4;
import X.C1865KjY;
import X.C1866KjZ;
import X.C4939Ls2;
import X.C4950LsD;
import X.M12;
import com.bytedance.covode.number.Covode;
import com.bytedance.hybrid.pia.bridge.protocol.Callback;

public final class PiaHideLoadingMethod implements C1865KjY<2Pr> {
    public final String name = "pia.hideLoading";
    public final C4939Ls2<C1835Kj4> pageGetter;
    public final Class<2Pr> paramsType = 2Pr.class;
    public final C0847KJq privilege = C0847KJq.Protected;
    public final int version;

    static {
        Covode.recordClassIndex(40499);
    }

    public final String getName() {
        return this.name;
    }

    public final C4939Ls2<C1835Kj4> getPageGetter() {
        return this.pageGetter;
    }

    public final Class<2Pr> getParamsType() {
        return this.paramsType;
    }

    public final C0847KJq getPrivilege() {
        return this.privilege;
    }

    public final int getVersion() {
        return this.version;
    }

    public final void decodeParams(String str) {
        C1866KjZ.LIZ(this, str);
    }

    public PiaHideLoadingMethod(C4939Ls2<C1835Kj4> ls2) {
        M12.LIZ((Object) ls2);
        this.pageGetter = ls2;
    }

    public final void invoke(2Pr r3, C4950LsD<? super Callback.Status, ? super String, 2Pr> lsD) {
        M12.LIZ((Object) r3, (Object) lsD);
        C1835Kj4 invoke = this.pageGetter.invoke();
        if (invoke != null) {
            invoke.LIZJ();
        }
        lsD.invoke(Callback.Status.Success, null);
    }
}
